use bevy::prelude::*;
use bevy::window::WindowResolution;
use micro_musicbox::prelude::*;
use micro_musicbox::CombinedAudioPlugins;

fn main() {
	App::new()
		.add_plugins(DefaultPlugins.set(WindowPlugin {
			primary_window: Some(Window {
				resolution: WindowResolution::new(800.0, 600.0),
				title: String::from("Basic Example"),
				..Default::default()
			}),
			..Default::default()
		}))
		.add_plugins(CombinedAudioPlugins::<AssetServer>::new())
		.add_systems(Startup, play_audio)
		.run();
}

pub fn play_audio(mut music_box: MusicBox<AssetServer>) {
	music_box.play_music("The-Great-Madeja.mp3");
}
